unit DesignAndRunModaldialog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmDesignAndRunModaldialog = class(TForm)
    vg1: Tvgctrl;
    Button1: TButton;
    Button2: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Button10: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDesignAndRunModaldialog: TfrmDesignAndRunModaldialog;

implementation

{$R *.dfm}

procedure TfrmDesignAndRunModaldialog.FormShow(Sender: TObject);
begin
  vg1.Design( 'http://www.visual-graph.com/activex/inputbox.xml' );
end;

procedure TfrmDesignAndRunModaldialog.Button2Click(Sender: TObject);
var
  dlg : Ivg;
  s : string;
begin
  dlg := vg1.vg.Create( '', false, false );
  dlg.FileName := vg1.vg.FileName;
  dlg.LoadFromBuffer( vg1.vg.SaveToBuffer() );
  dlg.Caption := 'Dialog';
  dlg.ActiveSheet.UnitByName( 'edit1' ).SetPropertyValue( 'value', 'hello' );
  if dlg.ShowModal() = 1 then
  begin
    s := dlg.ActiveSheet.UnitByName( 'edit1' ).GetPropertyValue( 'value' );
  end;
  dlg.Free();
end;

procedure TfrmDesignAndRunModaldialog.Button1Click(Sender: TObject);
var
  dlg : Ivg;
begin
  dlg := vg1.vg.Create( 'http://www.visual-graph.com/activex/inputbox.xml', false, false );
  dlg.Caption := 'Dialog';
  dlg.ActiveSheet.UnitByName( 'edit1' ).SetPropertyValue( 'value', 'hello' );
  dlg.ShowModal();
  dlg.Free();
end;

procedure TfrmDesignAndRunModaldialog.Button5Click(Sender: TObject);
begin
  ShowMessage( '[' + FloatToStr( vg1.vg.RangeLeft ) + ',' + FloatToStr( vg1.vg.RangeTop ) + ']-[' + FloatToStr( vg1.vg.RangeRight ) + ',' + FloatToStr( vg1.vg.RangeBottom ) + ']' );
end;

procedure TfrmDesignAndRunModaldialog.Button6Click(Sender: TObject);
begin
  vg1.vg.BackColor := $C0C0C0;
end;

procedure TfrmDesignAndRunModaldialog.Button9Click(Sender: TObject);
begin
  vg1.vg.GridSize := 16;
end;

procedure TfrmDesignAndRunModaldialog.Button10Click(Sender: TObject);
begin
  vg1.vg.GridSize := 32;
end;

procedure TfrmDesignAndRunModaldialog.Button7Click(Sender: TObject);
begin
  vg1.vg.GridSize := abs( vg1.vg.GridSize );
end;

procedure TfrmDesignAndRunModaldialog.Button8Click(Sender: TObject);
begin
  vg1.vg.GridSize := -abs( vg1.vg.GridSize );
end;

end.
