// UseunitLink.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "group.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "UseunitLink.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// UseunitLink dialog


UseunitLink::UseunitLink(CWnd* pParent /*=NULL*/)
  : CDialog(UseunitLink::IDD, pParent)
{
  //{{AFX_DATA_INIT(UseunitLink)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void UseunitLink::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(UseunitLink)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(UseunitLink, CDialog)
  //{{AFX_MSG_MAP(UseunitLink)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// UseunitLink message handlers

BOOL UseunitLink::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Design("http://www.visual-graph.com/activex/link.xml");
  return TRUE;
}

void UseunitLink::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 0, cy - 50, 150, 20 );
  }
};

void UseunitLink::OnButton2() 
{
  Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CGroup g = vg.GetSelection();
  int i = 0;
  int n = sheet.GetUnitCount();
  while (i < n)
  {
    CUnit d = sheet.GetUnits(i);
    int j = 0;
    while (j < d.GetLinkCount())
    {
      CString el = d.GetLinks(j);
      CString ft = d.GetLinkFoots(j);
      g.Clear();
      g.Add(d);
      MessageBox("Unit " + d.GetName() + " links to: " + el + " at postion: " + ft);
      j = j + 1;
    }
    i = i + 1;
  }
}
