﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmDesignAndRunModaldialog : Form
    {
        public FrmDesignAndRunModaldialog()
        {
            InitializeComponent();
        }

        private void FrmDesignAndRunModaldialog_Load(object sender, EventArgs e)
        {
            vg1.Design("http://www.visual-graph.com/activex/inputbox.xml");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var dlg = vg1.vg.Create("http://www.visual-graph.com/activex/inputbox.xml", false, false);
            dlg.ShowModal();
            dlg.Free();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var dlg = vg1.vg.Create("", false, false);
            dlg.FileName = vg1.vg.FileName;
            dlg.LoadFromBuffer(vg1.vg.SaveToBuffer());
            dlg.ActiveSheet.UnitByName("edit1").SetPropertyValue("value", "hello");
            dlg.ShowModal();
            dlg.Free();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            MessageBox.Show("[" + vg1.vg.RangeLeft + "," + vg1.vg.RangeTop + "]-[" + vg1.vg.RangeRight + "," + vg1.vg.RangeBottom + "]");
        }

        private void button6_Click(object sender, EventArgs e)
        {
            vg1.vg.BackColor = 0xC0C0C0;
        }

        private void button7_Click(object sender, EventArgs e)
        {
          vg1.vg.GridSize = Math.Abs(vg1.vg.GridSize);
        }

        private void button8_Click(object sender, EventArgs e)
        {
          vg1.vg.GridSize = -Math.Abs(vg1.vg.GridSize);
        }

        private void button9_Click(object sender, EventArgs e)
        {
            vg1.vg.GridSize = 16;
        }

        private void button10_Click(object sender, EventArgs e)
        {
            vg1.vg.GridSize = 32;
        }
    }
}
