﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmUseunitLink : Form
    {
        public FrmUseunitLink()
        {
            InitializeComponent();
        }

        private void FrmUseunitLink_Load(object sender, EventArgs e)
        {
            vg1.Design("http://www.visual-graph.com/activex/link.xml");
        }

        private void btnGetLinkRelationship_Click(object sender, EventArgs e)
        {
            var i = 0;
            var n = vg1.vg.ActiveSheet.UnitCount;
            while (i < n)
            {
                var d = vg1.vg.ActiveSheet.get_Units(i);
                var j = 0;
                while (j < d.LinkCount)
                {
                    var el = d.get_Links(j);
                    var ft = d.get_LinkFoots(j);
                    vg1.vg.Selection.Clear();
                    vg1.vg.Selection.Add(d);
                    MessageBox.Show("Unit " + d.Name + " links to: " + el + " at postion: " + ft);
                    j = j + 1;
                }
                i = i + 1;
            }
        }
    }
}
