unit DesignModeWithOneActiveX;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmDesignModeWithOneActiveX = class(TForm)
    Button1: TButton;
    Button2: TButton;
    vg1: Tvgctrl;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDesignModeWithOneActiveX: TfrmDesignModeWithOneActiveX;

implementation

{$R *.dfm}

procedure TfrmDesignModeWithOneActiveX.FormShow(Sender: TObject);
begin
  vg1.Run( vg1.DefaultPath + 'index.tbl' );
end;

procedure TfrmDesignModeWithOneActiveX.Button1Click(Sender: TObject);
var
  sheet : ISheet;
  libview : IUnit;
  v : TVarData;
begin
  sheet := vg1.vg.ActiveSheet;
  libview := sheet.UnitByName( 'LibView' );
  v := TVarData( libview.GetPropertyValue( 'doc' ) );
  Ivg( v.VDispatch ).ActiveSheet.Execute( 'LoadLibFromFile("' + vg1.DefaultPath + 'controls.tbl")' );
end;

procedure TfrmDesignModeWithOneActiveX.Button2Click(Sender: TObject);
var
  dlg : Ivg;
  s : string;
  mainform : ISheet;
begin
  dlg := vg1.vg.Create( vg1.DefaultPath + 'files.tbl', false, false );
  if dlg.ShowModal() = 1 then
  begin
    s := dlg.ActiveSheet.Execute( 'return ListBox1.GetItem( ListBox1.ItemIndex )' );
    mainform := ISheet( TVarData( vg1.vg.ActiveSheet.Execute( 'return MainForm' ) ).vDispatch );
    mainform.Execute( 'OpenDocument( WebSite + "' + s + '", true )' );
  end;
  dlg.Free();
end;

end.
